CheckstyleReports (Gradle API 4.8)
Date: 2018-06-04

org.gradle.api.plugins.quality

## Interface CheckstyleReports

- All Superinterfaces:
    Collection<SingleFileReport>, org.gradle.util.Configurable<ReportContainer<SingleFileReport>>, DomainObjectCollection<SingleFileReport>, Iterable<SingleFileReport>, NamedDomainObjectCollection<SingleFileReport>, NamedDomainObjectSet<SingleFileReport>, ReportContainer<SingleFileReport>, Set<SingleFileReport>

      public interface CheckstyleReports
      extends ReportContainer<SingleFileReport>

  The reporting configuration for the `Checkstyle` task.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

      `ReportContainer.ImmutableViolationException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SingleFileReport` | `getHtml()` The checkstyle HTML report.
    `SingleFileReport` | `getXml()` The checkstyle XML report

    - ### Methods inherited from interface org.gradle.api.reporting.ReportContainer

      `getAsMap, getEnabled, getEnabledReports, getNamer, getNames, getRules, isEmpty`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addLater, all, all, configureEachLater, configureEachLater, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

- - ### Method Detail

    - #### getHtml

          @Internal
          SingleFileReport getHtml()

      The checkstyle HTML report.

      This report IS enabled by default.

      Enabling this report will also cause the XML report to be generated, as the HTML is derived from the XML.

      Returns:
        The checkstyle HTML report
      Since:
        2.10

    - #### getXml

          @Internal
          SingleFileReport getXml()

      The checkstyle XML report

      This report IS enabled by default.

      Returns:
        The checkstyle XML report